{
  services.nginx.virtualHosts."media.sbruder.de" = {
    enableACME = true;
    forceSSL = true;

    basicAuthFile = "/data/media/.htpasswd";

    root = "/data/media/";

    locations."=/.htpasswd".return = "403";
  };

  services.nginx-interactive-index.virtualHosts."media.sbruder.de".locations."/".enable = true;

  users.users.media = {
    home = "/data/media";
    isSystemUser = true;
    group = "media";
    openssh.authorizedKeys.keys = [
      "restrict,command=\"internal-sftp\" ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMt91kAEA7ezIdve/64sv1kV4sd50ayzM09f5s5uOD+V"
    ];
  };
  users.groups.media = { };
}
