{ pkgs, ... }:

{
  services.nginx.virtualHosts = {
    "onlypain.icu" = {
      forceSSL = true;
      enableACME = true;

      root = ./.;

      locations = {
        "/imprint/".alias = "${pkgs.sbruder.imprint}/";
      };
    };
    "www.onlypain.icu" = {
      forceSSL = true;
      enableACME = true;
      globalRedirect = "onlypain.icu";
    };
  };
}
